<?php $__env->startSection('title'); ?>
    <?= get_label('general_settings', 'General settings') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="d-flex justify-content-between mt-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                        </li>
                        <li class="breadcrumb-item">
                            <?= get_label('settings', 'Settings') ?>
                        </li>
                        <li class="breadcrumb-item active">
                            <?= get_label('general', 'General') ?>
                        </li>
                    </ol>
                </nav>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <form action="<?php echo e(route('settings.store_general')); ?>" class="form-submit-event" method="POST"
                    enctype="multipart/form-data">
                    <input type="hidden" name="redirect_url" value="<?php echo e(route('settings.index')); ?>">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <div class="row">
                        <div class="mb-3 col-md-6">
                            <label for="company_title" class="form-label"><?= get_label('company_title', 'Company title') ?>
                                <span class="asterisk">*</span></label>
                            <input class="form-control" type="text" id="company_title" name="company_title"
                                placeholder="Enter company title" value="<?php echo e($general_settings['company_title']); ?>">

                            <?php $__errorArgs = ['company_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="support_email" class="form-label"><?= get_label('support_email', 'Support Email') ?>
                                <span class="asterisk">*</span></label>
                            <input class="form-control" type="text" id="support_email" name="support_email"
                                placeholder="<?php echo e(get_label('support_email_desc', 'Enter Your Support Email')); ?>"
                                value="<?php echo e($general_settings['support_email']); ?>">

                            <?php $__errorArgs = ['support_email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="full_logo" class="form-label"><?= get_label('full_logo', 'Full logo') ?> <a
                                    data-bs-toggle="tooltip" data-bs-placement="right"
                                    data-bs-original-title="<?= get_label('view_current_full_logo', 'View current full logo') ?>"
                                    href="<?php echo e(asset($general_settings['full_logo'])); ?>" data-lightbox="full logo"
                                    data-title="<?= get_label('current_full_logo', 'Current full logo') ?>"> <i
                                        class='bx bx-show-alt'></i></a></label>
                            <input type="file" class="form-control" id="inputGroupFile02" name="full_logo">

                            <?php $__errorArgs = ['full_logo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </div>

                        <div class="mb-3 col-md-6">
                            <label for="half_logo" class="form-label"><?= get_label('half_logo', 'Half logo') ?> <a
                                    data-bs-toggle="tooltip" data-bs-placement="right"
                                    data-bs-original-title="<?= get_label('view_current_half_logo', 'View current half logo') ?>"
                                    href="<?php echo e(asset($general_settings['half_logo'])); ?>" data-lightbox="half_logo"
                                    data-title="<?= get_label('current_half_logo', 'Current half logo') ?>"> <i
                                        class='bx bx-show-alt'></i></a></label>
                            <input type="file" class="form-control" id="inputGroupFile02" name="half_logo">

                            <?php $__errorArgs = ['half_logo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </div>

                        <div class="mb-3 col-md-6">
                            <label for="favicon" class="form-label"><?= get_label('favicon', 'Favicon') ?> <a
                                    data-bs-toggle="tooltip" data-bs-placement="right"
                                    data-bs-original-title="<?= get_label('view_current_favicon', 'View current favicon') ?>"
                                    href="<?php echo e(asset($general_settings['favicon'])); ?>" data-lightbox="favicon"
                                    data-title="<?= get_label('current_favicon', 'Current favicon') ?>"> <i
                                        class='bx bx-show-alt'></i></a></label>
                            <input type="file" class="form-control" id="inputGroupFile02" name="favicon">

                            <?php $__errorArgs = ['favicon'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="footer_logo" class="form-label"><?= get_label('footer_logo', 'Footer Logo') ?> <a data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title="<?= get_label('view_current_footer_logo', 'View current footer logo') ?>" href="<?php echo e(asset($general_settings['footer_logo'])); ?>" data-lightbox="footer_logo" data-title="<?= get_label('current_favicon', 'Current favicon') ?>"> <i class='bx bx-show-alt'></i></a></label>
                            <input type="file" class="form-control" id="inputGroupFile02" name="footer_logo">
                            <?php $__errorArgs = ['footer_logo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-3 col-md-4" <label for="currency_full_form" class="form-label">
                            <?= get_label('currency_full_form', 'Currency full form') ?> <span
                                class="asterisk">*</span></label>
                            <input class="form-control" type="text" id="currency_full_form" name="currency_full_form"
                                placeholder="Enter currency full form"
                                value="<?php echo e($general_settings['currency_full_form']); ?>">

                            <?php $__errorArgs = ['currency_full_form'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-3 col-md-4">
                            <label for="currency_symbol"
                                class="form-label"><?= get_label('currency_symbol', 'Currency symbol') ?> <span
                                    class="asterisk">*</span></label>
                            <input class="form-control" type="text" id="currency_symbol" name="currency_symbol"
                                placeholder="Enter currency symbol" value="<?php echo e($general_settings['currency_symbol']); ?>">

                            <?php $__errorArgs = ['currency_symbol'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </div>

                        <div class="mb-3 col-md-4">
                            <label for="currency_code"
                                class="form-label"><?= get_label('currency_code', 'Currency code') ?>
                                <span class="asterisk">*</span></label>
                            <input class="form-control" type="text" id="currency_code" name="currency_code"
                                placeholder="Enter currency code" value="<?php echo e($general_settings['currency_code']); ?>">

                            <?php $__errorArgs = ['currency_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                        </div>
                        <div class="mb-3 col-md-4">
                            <label for=""
                                class="form-label"><?= get_label('currency_symbol_position', 'Currency symbol position') ?></label>
                            <div class="input-group">
                                <select class="form-select" name="currency_symbol_position">
                                    <option value="before"
                                        <?php echo e(old('currency_symbol_position', $general_settings['currency_symbol_position']) == 'before' ? 'selected' : ''); ?>>
                                        <?= get_label('before', 'Before') ?> - $100</option>
                                    <option value="after"
                                        <?php echo e(old('currency_symbol_position', $general_settings['currency_symbol_position']) == 'after' ? 'selected' : ''); ?>>
                                        <?= get_label('after', 'After') ?> - 100$</option>
                                </select>
                            </div>
                            <p class="text-danger text-xs mt-1 error-message"></p>
                        </div>

                        <div class="mb-3 col-md-4">
                            <label for=""
                                class="form-label"><?= get_label('currency_formate', 'Currency formate') ?></label>
                            <div class="input-group">
                                <select class="form-select" name="currency_format">
                                    <option value="comma_separated"
                                        <?php echo e(old('currency_format', $general_settings['currency_format']) == 'comma_separated' ? 'selected' : ''); ?>>
                                        <?= get_label('comma_separated', 'Comma separated') ?> - 100,000</option>
                                    <option value="dot_separated"
                                        <?php echo e(old('currency_format', $general_settings['currency_format']) == 'dot_separated' ? 'selected' : ''); ?>>
                                        <?= get_label('dot_separated', 'Dot separated') ?> - 100.000</option>
                                </select>
                            </div>
                            <p class="text-danger text-xs mt-1 error-message"></p>
                        </div>

                        <div class="mb-3 col-md-4">
                            <label for=""
                                class="form-label"><?= get_label('decimal_points_in_currency', 'Decimal points in currency') ?></label>
                            <input class="form-control" type="number" name="decimal_points_in_currency" step="1"
                                placeholder="Any number value - Example: if 2 - 100.00"
                                value="<?php echo e($general_settings['decimal_points_in_currency']); ?>"
                                oninput="this.value = Math.floor(this.value)" min="1">

                            <?php $__errorArgs = ['decimal_points_in_currency'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label"
                                for="user_id"><?= get_label('system_time_zone', 'System time zone') ?>
                                <span class="asterisk">*</span></label>
                            <div class="input-group">
                                <select class="form-control js-example-basic-multiple" type="text" id="timezone"
                                    name="timezone"
                                    data-placeholder="<?= get_label('type_to_search', 'Type to search') ?>">
                                    <option value=""><?= get_label('select_time_zone', 'Select time zone') ?>
                                    </option>
                                    <?php $__currentLoopData = $timezones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timezone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($timezone['2']); ?>" data-gmt="<?= $timezone[1] ?>"
                                            <?php echo e($general_settings['timezone'] == $timezone[2] ? 'selected' : ''); ?>>
                                            <span class="lh-lg">
                                                <?php echo e($timezone['2']); ?> &nbsp; - &nbsp; GMT &nbsp; <?php echo e($timezone['1']); ?>

                                                &nbsp; - &nbsp; <?php echo e($timezone['0']); ?>

                                            </span>
                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <?php $__errorArgs = ['timezone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for=""><?= get_label('date_format', 'Date format') ?> <span
                                    class="text-muted">(<?= get_label('this_date_format_will_be_used_in_the_system_everywhere', 'This date format will be used in the system everywhere') ?>)</span>
                                <span class="asterisk">*</span></label>
                            <div class="input-group">
                                <select class="form-control js-example-basic-multiple" type="text" id="date_format"
                                    name="date_format"
                                    data-placeholder="<?= get_label('type_to_search', 'Type to search') ?>">
                                    <option value=""><?= get_label('select_date_format', 'Select date format') ?>
                                    </option>
                                    <option value="DD-MM-YYYY|d-m-Y"
                                        <?= $general_settings['date_format'] == 'DD-MM-YYYY|d-m-Y' ? 'selected' : '' ?>>
                                        Day-Month-Year with leading zero (04-08-2023)</option>
                                    <option value="D-M-YY|j-n-y"
                                        <?= $general_settings['date_format'] == 'D-M-YY|j-n-y' ? 'selected' : '' ?>>
                                        Day-Month-Year with no leading zero (4-8-23)</option>
                                    <option value="MM-DD-YYYY|m-d-Y"
                                        <?= $general_settings['date_format'] == 'MM-DD-YYYY|m-d-Y' ? 'selected' : '' ?>>
                                        Month-Day-Year with leading zero (08-04-2023)</option>
                                    <option value="M-D-YY|n-j-y"
                                        <?= $general_settings['date_format'] == 'M-D-YY|n-j-y' ? 'selected' : '' ?>>
                                        Month-Day-Year with no leading zero (8-4-23)</option>
                                    <option value="YYYY-MM-DD|Y-m-d"
                                        <?= $general_settings['date_format'] == 'YYYY-MM-DD|Y-m-d' ? 'selected' : '' ?>>
                                        Year-Month-Day with leading zero (2023-08-04)</option>
                                    <option value="YY-M-D|Y-n-j"
                                        <?= $general_settings['date_format'] == 'YY-M-D|Y-n-j' ? 'selected' : '' ?>>
                                        Year-Month-Day with no leading zero (23-8-4)</option>
                                    <option value="MMMM DD, YYYY|F d, Y"
                                        <?= $general_settings['date_format'] == 'MMMM DD, YYYY|F d, Y' ? 'selected' : '' ?>>
                                        Month name-Day-Year with leading zero
                                        (August 04, 2023)</option>

                                    <option value="MMM DD, YYYY|M d, Y"
                                        <?= $general_settings['date_format'] == 'MMM DD, YYYY|M d, Y' ? 'selected' : '' ?>>
                                        Month abbreviation-Day-Year with leading zero
                                        (Aug 04, 2023)</option>

                                    <option value="DD-MMM-YYYY|d-M-Y"
                                        <?= $general_settings['date_format'] == 'DD-MMM-YYYY|d-M-Y' ? 'selected' : '' ?>>Day
                                        with leading zero, Month abbreviation, Year (04-Aug-2023)</option>
                                    <option value="DD MMM, YYYY|d M, Y"
                                        <?= $general_settings['date_format'] == 'DD MMM, YYYY|d M, Y' ? 'selected' : '' ?>>
                                        Day with leading zero, Month abbreviation, Year (04 Aug, 2023)</option>
                                    <option value="YYYY-MMM-DD|Y-M-d"
                                        <?= $general_settings['date_format'] == 'YYYY-MMM-DD|Y-M-d' ? 'selected' : '' ?>>
                                        Year, Month abbreviation, Day with leading zero (2023-Aug-04)</option>
                                    <option value="YYYY, MMM DD|Y, M d"
                                        <?= $general_settings['date_format'] == 'YYYY, MMM DD|Y, M d' ? 'selected' : '' ?>>
                                        Year, Month abbreviation, Day with leading zero (2023, Aug 04)</option>
                                </select>
                            </div>
                            <?php $__errorArgs = ['date_format'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="mb-3 col-md-12">
                            <label for="currency_symbol"
                                class="form-label"><?= get_label('footer_text', 'Footer text') ?></label>
                            <textarea id="footer_text" name="footer_text" class="form-control"><?= $general_settings['footer_text'] ?></textarea>
                        </div>
                        <div class="mb-3 col-md-12">
                            <label for="address" class="form-label"><?= get_label('address', 'Address') ?></label>
                            <textarea id="company_address" name="company_address" class="form-control"><?= $general_settings['company_address'] ?></textarea>
                        </div>

                        <div class="mt-2">
                            <button type="submit" class="btn btn-primary me-2"
                                id="submit_btn"><?= get_label('update', 'Update') ?></button>
                            <button type="reset"
                                class="btn btn-outline-secondary"><?= get_label('cancel', 'Cancel') ?></button>
                        </div>

                    </div>
                </form>

            </div>
        </div>
    <?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/settings/general_settings.blade.php ENDPATH**/ ?>