

<?php $__env->startSection('title'); ?>
    <?= $is_favorite == 1 ? get_label('favorite_projects', 'Favorite projects') : get_label('projects', 'Projects') ?> -
    <?= get_label('grid_view', 'Grid view') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="d-flex justify-content-between mt-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                        </li>
                        <?php if($is_favorite == 1): ?>
                            <li class="breadcrumb-item"><a
                                    href="<?php echo e(route('projects.index')); ?>"><?= get_label('projects', 'Projects') ?></a></li>
                            <li class="breadcrumb-item active"><?= get_label('favorite', 'Favorite') ?></li>
                        <?php else: ?>
                            <li class="breadcrumb-item active"><?= get_label('projects', 'Projects') ?></li>
                        <?php endif; ?>
                    </ol>
                </nav>
            </div>

            <div>
                <?php
                    $url =
                        $is_favorite == 1
                            ? route('projects.list_view', ['type' => 'favorite'])
                            : route('projects.list_view');
                    $additionalParams = request()->has('status')
                        ? route('projects.list_view', ['status' => request()->status])
                        : '';
                    $finalUrl = url($additionalParams ?: $url);
                ?>
                <a href="<?php echo e(route('projects.create')); ?>"><button type="button" class="btn btn-sm btn-primary"
                        data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title="<?= get_label('create_project', 'Create project') ?>"><i
                            class='bx bx-plus'></i></button></a>
                <a href="<?php echo e($finalUrl); ?>"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip"
                        data-bs-placement="left" data-bs-original-title="<?= get_label('list_view', 'List view') ?>"><i
                            class='bx bx-list-ul'></i></button></a>
            </div>
        </div>

        <div class="row mb-3">
            <div class="col-md-3">
                <select class="form-select" id="status_filter" aria-label="Default select example">
                    <option value=""><?= get_label('filter_by_status', 'Filter by status') ?></option>
                    <?php $__currentLoopData = $statuses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $selected = isset($_REQUEST['status']) && $_REQUEST['status'] !== '' && $_REQUEST['status'] == $status->id ? 'selected' : '';
                        ?>
                        <option value="<?php echo e($status->id); ?>" <?php echo e($selected); ?>><?php echo e($status->title); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-3">
                <select class="form-select" id="sort" aria-label="Default select example">
                    <option value=""><?= get_label('sort_by', 'Sort by') ?></option>
                    <option value="newest" <?= request()->sort && request()->sort == 'newest' ? 'selected' : '' ?>>
                        <?= get_label('newest', 'Newest') ?></option>
                    <option value="oldest" <?= request()->sort && request()->sort == 'oldest' ? 'selected' : '' ?>>
                        <?= get_label('oldest', 'Oldest') ?></option>
                    <option value="recently-updated"
                        <?= request()->sort && request()->sort == 'recently-updated' ? 'selected' : '' ?>>
                        <?= get_label('most_recently_updated', 'Most recently updated') ?></option>
                    <option value="earliest-updated"
                        <?= request()->sort && request()->sort == 'earliest-updated' ? 'selected' : '' ?>>
                        <?= get_label('least_recently_updated', 'Least recently updated') ?></option>
                </select>
            </div>
            <div class="col-md-5">
                <select id="selected_tags" class="form-control js-example-basic-multiple" name="tag[]" multiple="multiple"
                    data-placeholder="<?= get_label('filter_by_tags', 'Filter by tags') ?>">
                    <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($tag->id); ?>" <?php if(in_array($tag->id, $selectedTags)): ?> selected <?php endif; ?>>
                            <?php echo e($tag->title); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-1">
                <div>
                    <button type="button" data-route-prefix="<?php echo e(Route::getCurrentRoute()->getPrefix()); ?>" id="tags_filter"
                        class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title="<?= get_label('filter', 'Filter') ?>"><i
                            class='bx bx-filter-alt'></i></button>


                </div>
            </div>
        </div>
        <?php if(is_countable($projects) && count($projects) > 0): ?>
            <div class="mt-4 d-flex row">
                <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-md-6">
                        <div class="card mb-3">
                            <div class="card-body">
                                <div class="d-flex flex-wrap gap-2 mb-3">
                                    <?php $__currentLoopData = $project->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <span class="badge bg-<?php echo e($tag->color); ?>"><?php echo e($tag->title); ?></span>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                <div class="d-flex justify-content-between">
                                    <h4 class="card-title"><a href="<?php echo e(route('projects.info', ['id' => $project->id])); ?>"
                                            target="_blank"><strong><?php echo e($project->title); ?></strong></a>
                                    </h4>
                                    <div class="d-flex align-items-center justify-content-center">
                                        <div class="input-group">
                                            <a href="javascript:void(0);" data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class='bx bx-cog' id="settings-icon"></i>
                                            </a>
                                            <ul class="dropdown-menu">
                                                <li class="dropdown-item">
                                                    <a href="<?php echo e(route('projects.edit', ['id' => $project->id])); ?>"
                                                        class="card-link">
                                                        <i
                                                            class='menu-icon tf-icons bx bx-edit'></i><?= get_label('update', 'Update') ?>
                                                    </a>
                                                </li>
                                                <li class="dropdown-item">
                                                    <a href="javascript:void(0);" class="delete" data-reload="true"
                                                        data-type="projects" data-id="<?php echo e($project->id); ?>">
                                                        <i
                                                            class='menu-icon tf-icons bx bx-trash text-danger'></i><?= get_label('delete', 'Delete') ?>
                                                    </a>
                                                </li>
                                                <li class="dropdown-item">
                                                    <a href="javascript:void(0);" class="duplicate" data-type="projects"
                                                        data-id="<?php echo e($project->id); ?>" data-reload="true">
                                                        <i
                                                            class='menu-icon tf-icons bx bx-copy text-warning'></i><?= get_label('duplicate', 'Duplicate') ?>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                        <a href="javascript:void(0);" class="mx-2">
                                            <i class='bx <?php echo e($project->is_favorite ? 'bxs' : 'bx'); ?>-star favorite-icon text-warning'
                                                data-id="<?php echo e($project->id); ?>" data-bs-toggle="tooltip"
                                                data-bs-placement="right"
                                                data-route-prefix="<?php echo e(Route::getCurrentRoute()->getPrefix()); ?>"
                                                data-bs-original-title="<?php echo e($project->is_favorite ? get_label('remove_favorite', 'Click to remove from favorite') : get_label('add_favorite', 'Click to mark as favorite')); ?>"
                                                data-favorite="<?php echo e($project->is_favorite); ?>"></i>

                                        </a>
                                    </div>
                                </div>
                                <div class="my-4 d-flex justify-content-between">
                                    <span class='badge bg-label-<?php echo e($project->status->color); ?> me-1'>
                                        <?php echo e($project->status->title); ?></span>
                                    <?php if(!empty($project->budget) && $project->budget !== null): ?>
                                        <span class='badge bg-label-primary me-1'>
                                            <?php echo e(format_currency($project->budget)); ?></span>
                                    <?php endif; ?>
                                </div>
                                <div class="my-4 d-flex justify-content-between">
                                    <span><i class='bx bx-task text-primary'></i>
                                        <b><?= isAdminOrHasAllDataAccess() ? count($project->tasks) : $auth_user->project_tasks($project->id)->count() ?></b>
                                        <?= get_label('tasks', 'Tasks') ?></span>
                                    <a href="<?php echo e(route('tasks.draggable', ['id' => $project->id])); ?>"><button
                                            type="button"
                                            class="btn btn-sm rounded-pill btn-outline-primary"><?= get_label('tasks', 'Tasks') ?></button></a>
                                </div>

                                <div class="row mt-2">
                                    <div class="col-md-6">
                                        <p class="card-text">
                                            <?= get_label('users', 'Users') ?>:
                                        <ul class="list-unstyled users-list m-0 avatar-group d-flex align-items-center">
                                            <?php
                                $users = $project->users;
                                $count = count($users);
                                $displayed = 0;
                                if ($count > 0) { ?>
                                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($displayed < 3): ?>
                                                    <li class="avatar avatar-sm pull-up"
                                                        title="<?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?>"><a
                                                            href="<?php echo e(route('users.show', [$user->id])); ?>"
                                                            target="_blank">

                                                            <img src="<?php echo e($user->photo ? asset('storage/' . $user->photo) : asset('storage/photos/no-image.jpg')); ?>"
                                                                class="rounded-circle"
                                                                alt="<?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?>">
                                                        </a></li>

                                                    <?php $displayed++; ?>
                                                <?php else: ?>
                                                    <?php
                                                    $remaining = $count - $displayed;
                                                    echo '<span class="badge badge-center rounded-pill bg-primary">+' . $remaining . '</span>';
                                                    break;
                                                    ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php } else { ?>
                                            <span
                                                class="badge bg-primary"><?= get_label('not_assigned', 'Not assigned') ?></span>

                                            <?php }
                                    ?>

                                        </ul>
                                        </p>
                                    </div>

                                    <div class="col-md-6">
                                        <p class="card-text">
                                            Clients:
                                        <ul class="list-unstyled users-list m-0 avatar-group d-flex align-items-center">
                                            <?php
                                $clients = $project->clients;
                                $count = count($clients);
                                $displayed = 0;
                                if ($count > 0) { ?>

                                            <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($displayed < 3): ?>
                                                    <li class="avatar avatar-sm pull-up"
                                                        title="<?php echo e($client->first_name); ?> <?php echo e($client->last_name); ?>"><a
                                                            href="<?php echo e(route('clients.profile', ['id' => $client->id])); ?>"
                                                            target="_blank">

                                                            <img src="<?php echo e($client->photo ? asset('storage/' . $client->photo) : asset('storage/photos/no-image.jpg')); ?>"
                                                                class="rounded-circle"
                                                                alt="<?php echo e($client->first_name); ?> <?php echo e($client->last_name); ?>">
                                                        </a></li>
                                                    <?php $displayed++; ?>
                                                <?php else: ?>
                                                    <?php
                                                    $remaining = $count - $displayed;
                                                    echo '<span class="badge badge-center rounded-pill bg-label-primary">+' . $remaining . '</span>';
                                                    break;
                                                    ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php } else { ?>
                                            <span
                                                class="badge bg-primary"><?= get_label('not_assigned', 'Not assigned') ?></span>
                                            <?php }
                                    ?>
                                        </ul>
                                        </p>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-6">
                                        <i
                                            class='bx bx-calendar text-success'></i><?= get_label('starts_at', 'Starts at') ?>
                                        : <?php echo e(format_date($project->start_date)); ?>

                                    </div>

                                    <div class="col-md-6">
                                        <i class='bx bx-calendar text-danger'></i><?= get_label('ends_at', 'Ends at') ?> :
                                        <?php echo e(format_date($project->end_date)); ?>

                                    </div>


                                </div>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                <div>
                    <?php echo e($projects->links()); ?>

                </div>
            </div>
            <!-- delete project modal -->
        <?php else: ?>
            <?php $type = 'projects'; ?>
            <?php if (isset($component)) { $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-state-card','data' => ['type' => $type]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('empty-state-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['type' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($type)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $attributes = $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $component = $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>
        <?php endif; ?>
    </div>
    <script>
        var add_favorite = '<?= get_label('add_favorite ', ' Click to mark as favorite ') ?>';
        var remove_favorite = '<?= get_label('remove_favorite ', 'Click to remove from favorite ') ?>';
    </script>
    <script src="<?php echo e(asset('assets/js/pages/project-grid.js')); ?>"></script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/projects/grid_view.blade.php ENDPATH**/ ?>