

<?php $__env->startSection('title'); ?>
<?= get_label('create_payslip', 'Create payslip') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">

    <div class="d-flex justify-content-between m-4">
        <div>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb breadcrumb-style1">
                    <li class="breadcrumb-item">
                        <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="<?php echo e(route('payslips.index')); ?>"><?= get_label('payslips', 'Payslips') ?></a>
                    </li>
                    <li class="breadcrumb-item active"><?= get_label('create', 'Create') ?></li>
                </ol>
            </nav>
        </div>
        <div>
            <a href="<?php echo e(route('payslips.index')); ?>"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="left" data-bs-original-title=" <?= get_label('payslips', 'Payslips') ?>"><i class="bx bx-list-ul"></i></button></a>
        </div>
    </div>

    <div class="card mt-4">
        <div class="card-body">
            <form action="<?php echo e(route('payslips.store')); ?>" class="form-submit-event" method="POST">
                <input type="hidden" name="redirect_url" value="<?php echo e(route('payslips.index')); ?>">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for="user_id"><?= get_label('select_user', 'Select user') ?> <span class="asterisk">*</span></label>
                        <div class="input-group">
                            <select id="" class="form-control" name="user_id" data-placeholder="<?= get_label('type_to_search', 'Type to search') ?>">
                                <option value=""><?= get_label('please_select', 'Please select') ?></option>
                                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($user->id); ?>" <?php echo e(collect(old('user_id'))->contains($user->id) ? 'selected' : ''); ?>>
                                    <?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('payslip_month', 'Payslip month') ?>
                            <span class="asterisk">*</span></label>
                        <input class="form-control" type="month" id="payslip_month" name="month" value="<?php echo e(old('payslip_month')); ?>">
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('basic_salary', 'Basic salary') ?> <span class="asterisk">*</span></label>
                        <div class="input-group input-group-merge">
                            <span class="input-group-text"><?php echo e($general_settings['currency_symbol']); ?></span>
                            <input class="form-control" type="number" id="basic_salary" name="basic_salary" step="0.01" placeholder="Please enter basic salary" value="<?php echo e(old('basic_salary')); ?>">
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>


                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('working_days', 'Working days') ?> <span class="asterisk">*</span></label>
                        <input class="form-control" type="number" id="working_days" name="working_days" step="0.01" placeholder="Please enter working days" value="<?php echo e(old('working_days')); ?>">
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('lop_days', 'Loss of pay days') ?> <span class="asterisk">*</span></label>
                        <input class="form-control" type="number" id="lop_days" name="lop_days" step="0.01" placeholder="Please enter loss of pay days" value="<?php echo e(old('lop_days') ?? 0); ?>">
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('paid_days', 'Paid days') ?> <span class="asterisk">*</span></label>
                        <input class="form-control" type="number" id="paid_days" name="paid_days" value="<?php echo e(old('paid_days')); ?>" readonly>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>


                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('bonus', 'Bonus') ?> <span class="asterisk">*</span></label>
                        <div class="input-group input-group-merge">
                            <span class="input-group-text"><?php echo e($general_settings['currency_symbol']); ?></span>
                            <input class="form-control" type="number" id="bonus" name="bonus" step="0.01" placeholder="Please enter bonus" value="<?php echo e(old('bonus') ?? 0); ?>">
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('incentives', 'Incentives') ?> <span class="asterisk">*</span></label>
                        <div class="input-group input-group-merge">
                            <span class="input-group-text"><?php echo e($general_settings['currency_symbol']); ?></span>
                            <input class="form-control" type="number" id="incentives" name="incentives" step="0.01" placeholder="Please enter incentives" value="<?php echo e(old('incentives') ?? 0); ?>">
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('leave_deduction', 'Leave deduction') ?> <span class="asterisk">*</span></label>
                        <div class="input-group input-group-merge">
                            <span class="input-group-text"><?php echo e($general_settings['currency_symbol']); ?></span>
                            <input class="form-control" type="number" id="leave_deduction" name="leave_deduction" value="<?php echo e(old('leave_deduction')); ?>" readonly>
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>


                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('over_time_hours', 'Over time hours') ?></label>
                        <input class="form-control" type="number" step="0.01" id="over_time_hours" name="ot_hours" placeholder="Please enter over time hours" value="<?php echo e(old('ot_hours') ?? 0); ?>">
                    </div>

                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('over_time_rate', 'Over time rate') ?>
                            <span class="asterisk">*</span></label>
                        <div class="input-group input-group-merge">
                            <span class="input-group-text"><?php echo e($general_settings['currency_symbol']); ?></span>
                            <input class="form-control" type="number" id="over_time_rate" name="ot_rate" step="0.01" placeholder="Please enter over time rate" value="<?php echo e(old('ot_rate') ?? 0); ?>">
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>

                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('over_time_payment', 'Over time payment') ?> <span class="asterisk">*</span></label>
                        <div class="input-group input-group-merge">
                            <span class="input-group-text"><?php echo e($general_settings['currency_symbol']); ?></span>
                            <input class="form-control" type="number" id="over_time_payment" name="ot_payment" value="<?php echo e(old('ot_payment')); ?>" readonly>
                        </div>
                        <p class="text-danger text-xs mt-1 error-message"></p>
                    </div>


                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('payment_method', 'Payment method') ?></label>
                        <div class="input-group">
                            <select name="payment_method_id" class="form-control">
                                <option value=""><?= get_label('Please select', 'Please select') ?></option>
                                <?php $__currentLoopData = $payment_methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment_method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($payment_method->id); ?>"><?php echo e($payment_method->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <!-- <p class="text-danger text-xs mt-1 error-message"></p> -->
                        <div class="mt-2">
                            <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#create_pm_modal"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title=" <?= get_label('create_payment_method', 'Create payment method') ?>"><i class="bx bx-plus"></i></button></a>
                            <a href="<?php echo e(route('payment_methods.index')); ?>" target="_blank"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title="<?= get_label('manage_payment_methods', 'Manage payment methods') ?>"><i class="bx bx-list-ul"></i></button></a>
                        </div>
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('payment_date', 'Payment date') ?></label>
                        <input type="text" id="payment_date" name="payment_date" class="form-control" value="" placeholder="<?= get_label('please_select', 'Please select') ?>" autocomplete="off">
                    </div>
                    <div class="mb-3 col-md-4">
                        <label class="form-label" for=""><?= get_label('payment_status', 'Payment status') ?>
                            <span class="asterisk">*</span></label>
                        <div class="">
                            <div class="btn-group btn-group d-flex justify-content-center" role="group" aria-label="Basic radio toggle button group">

                                <input type="radio" class="btn-check" id="ps_paid" name="status" value="1">
                                <label class="btn btn-outline-primary" for="ps_paid"><?= get_label('paid', 'Paid') ?></label>

                                <input type="radio" class="btn-check" id="ps_unpaid" name="status" value="0" checked>
                                <label class="btn btn-outline-primary" for="ps_unpaid"><?= get_label('unpaid', 'Unpaid') ?></label>

                            </div>
                        </div>
                    </div>

                    <div class="mb-3 col-md-5">
                        <label class="form-label" for=""><?= get_label('allowance', 'Allowance') ?></label>
                        <div class="input-group">
                            <select data-route-prefix="<?php echo e(Route::getCurrentRoute()->getPrefix()); ?>" id="allowance_id" name="allowance_id" class="form-control">

                                <option value=""><?= get_label('Please select', 'Please select') ?></option>
                                <?php $__currentLoopData = $allowances; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $allowance): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($allowance->id); ?>"><?php echo e($allowance->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mt-2">
                            <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#create_allowance_modal"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title=" <?= get_label('create_allowance', 'Create allowance') ?>"><i class="bx bx-plus"></i></button></a>
                            <a href="<?php echo e(route('allowances.index')); ?>" target="_blank"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title="<?= get_label('manage_allowances', 'Manage allowances') ?>"><i class="bx bx-list-ul"></i></button></a>
                        </div>
                    </div>


                    <div class="mb-3 col-md-7">
                        <label class="form-label" for=""><?= get_label('deduction', 'Deduction') ?></label>
                        <div class="input-group">
                            <select data-route-prefix="<?php echo e(Route::getCurrentRoute()->getPrefix()); ?>" id="deduction_id" name="deduction_id" class="form-control">

                                <option value=""><?= get_label('please_select', 'Please select') ?></option>
                                <?php $__currentLoopData = $deductions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deduction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($deduction->id); ?>"><?php echo e($deduction->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mt-2">
                            <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#create_deduction_modal"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title=" <?= get_label('create_deduction', 'Create deduction') ?>"><i class="bx bx-plus"></i></button></a>
                            <a href="<?php echo e(route('deductions.index')); ?>" target="_blank"><button type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-original-title="<?= get_label('manage_deductions', 'Manage deductions') ?>"><i class="bx bx-list-ul"></i></button></a>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-5" id="payslip-allowances">
                            <div class="d-flex">
                                <div class="mb-3 col-md-6 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('allowance', 'Allowance') ?></label>
                                    <input type="text" id="allowance_0_title" class="form-control" placeholder="Allowance" readonly>
                                </div>
                                <div class="mb-3 col-md-4 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('amount', 'Amount') ?>
                                        (<?php echo e($general_settings['currency_symbol']); ?>)</label>
                                    <input type="number" id="allowance_0_amount" class="form-control" placeholder="Amount" readonly>
                                </div>
                                <div class="mb-3 col-md-1 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('action', 'Action') ?></label>
                                    <button type="button" class="btn btn-sm btn-success add-allowance my-1"><i class="bx bx-check"></i></button>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-7" id="payslip-deductions">
                            <div class="d-flex">
                                <div class="mb-3 col-md-5 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('deduction', 'Deduction') ?></label>
                                    <input type="text" id="deduction_0_title" class="form-control" placeholder="Deduction" readonly>
                                </div>
                                <input type="hidden" id="deduction_0_type">
                                <div class="mb-3 col-md-3 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('amount', 'Amount') ?>
                                        (<?php echo e($general_settings['currency_symbol']); ?>)</label>
                                    <input type="number" id="deduction_0_amount" class="form-control" placeholder="Amount" readonly>
                                </div>
                                <div class="mb-3 col-md-3 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('percentage', 'Percentage') ?></label>
                                    <input type="number" id="deduction_0_percentage" class="form-control" placeholder="Percentage" readonly>
                                </div>
                                <div class="mb-3 col-md-1 mx-1">
                                    <label class="form-label text-muted" for=""><?= get_label('action', 'Action') ?></label>
                                    <button type="button" class="btn btn-sm btn-success add-deduction my-1"><i class="bx bx-check"></i></button>
                                </div>
                            </div>
                        </div>


                        <div class="d-flex">
                            <div class="col-md-5 mt-4">
                                <label class="form-label" for=""><?= get_label('total_allowances', 'Total allowances') ?>
                                    (<?php echo e($general_settings['currency_symbol']); ?>) : <span id="total_allowance">0</span></label>
                            </div>
                            <div class="col-md-7 mt-4 mx-4">
                                <label class="form-label" for=""><?= get_label('total_deductions', 'Total deductions') ?>
                                    (<?php echo e($general_settings['currency_symbol']); ?>) : <span id="total_deduction">0</span></label>
                            </div>
                        </div>
                        <div class="d-flex">
                            <div class="col-md-6"></div>
                            <div class="col-md-6 mt-4 text-end">
                                <h6 class="d-none"><?= get_label('total_earnings', 'Total earnings') ?>
                                    (<?php echo e($general_settings['currency_symbol']); ?>) : <span id="total_earning">0</span>
                                </h6>
                                <input type="hidden" id="total_earnings" name="total_earnings" value="0.00">


                            </div>
                        </div>
                        <div class="d-flex">
                            <div class="col-md-6"></div>
                            <div class="col-md-6 mt-4 text-end">
                                <h6><?= get_label('net_payable', 'Net payable') ?>
                                    (<?php echo e($general_settings['currency_symbol']); ?>) : <span id="net_payable">0</span>
                                    <input type="hidden" id="net_pay" name="net_pay" value="0.00">
                                    <h6>
                            </div>
                        </div>

                        <!-- Total Allowance Section -->
                        <!-- <div class="d-flex">
                               
                            </div> -->


                    </div>

                </div>
                <input type="hidden" name="total_allowance" id="hidden_total_allowance" value="0.00">
                <input type="hidden" name="total_deductions" id="hidden_total_deductions" value="0.00">

                <input type="hidden" name="allowance_ids" id="allowance_ids">
                <input type="hidden" name="deduction_ids" id="deduction_ids">
                <div class="mb-3 col-md-12 mt-4">
                    <label for="description" class="form-label"><?= get_label('note', 'Note') ?></label>
                    <textarea class="form-control" name="note" rows="3" placeholder="Please enter note if any"><?php echo e(old('note')); ?></textarea>
                    <?php $__errorArgs = ['note'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                    <p class="text-danger text-xs mt-1"><?php echo e($message); ?></p>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
                <div class="mt-4 text-end">
                    <button type="submit" class="btn btn-primary me-2" id="submit_btn"><?= get_label('create', 'Create') ?></button>
                    <button type="reset" class="btn btn-outline-secondary"><?= get_label('cancel', 'Cancel') ?></button>
                </div>

            </form>
        </div>
    </div>
</div>
<script>
    var allowance_count = '0';
    var deduction_count = '0';

</script>
<script src="<?php echo e(asset('assets/js/pages/payslips.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/payslips/create.blade.php ENDPATH**/ ?>