

<?php $__env->startSection('title'); ?>
    <?= get_label('contracts', 'Contracts') ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="container-fluid">
        <div class="d-flex justify-content-between mt-4">
            <div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style1">
                        <li class="breadcrumb-item">
                            <a href="<?php echo e(route('home.index')); ?>"><?= get_label('home', 'Home') ?></a>
                        </li>
                        <li class="breadcrumb-item active">
                            <?= get_label('contracts', 'Contracts') ?>
                        </li>

                    </ol>
                </nav>
            </div>
            <div>
                <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#create_contract_modal"><button
                        type="button" class="btn btn-sm btn-primary" data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title=" <?= get_label('create_contract', 'Create contract') ?>"><i
                            class="bx bx-plus"></i></button></a>
                <a href="<?php echo e(route('contracts.contract_types')); ?> "><button type="button" class="btn btn-sm btn-primary"
                        data-bs-toggle="tooltip" data-bs-placement="left"
                        data-bs-original-title="<?= get_label('contract_types', 'Contract types') ?>"><i
                            class='bx bx-list-ul'></i></button></a>
            </div>
        </div>

        <div class="card ">
            <div class="card-body">
                <?php if($contracts > 0): ?>

                    <div class="row ">
                        <div class="mb-3 col-md-3">
                            <div class="input-group input-group-merge">
                                <input type="text" id="contract_start_date_between" class="form-control"
                                    placeholder="<?= get_label('from_date_between', 'From date between') ?>"
                                    autocomplete="off">
                            </div>
                        </div>
                        <div class="mb-3 col-md-3">
                            <div class="input-group input-group-merge">
                                <input type="text" id="contract_end_date_between" class="form-control"
                                    placeholder="<?= get_label('to_date_between', 'To date between') ?>" autocomplete="off">
                            </div>
                        </div>


                        <div class="col-md-3">
                            <select class="form-select" id="project_filter" aria-label="Default select example">
                                <option value=""><?= get_label('select_project', 'Select project') ?></option>
                                <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($project->id); ?>"><?php echo e($project->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <?php if(!isClient()): ?>
                            <div class="col-md-3">
                                <select class="form-select" id="client_filter" aria-label="Default select example">
                                    <option value=""><?= get_label('select_client', 'Select client') ?></option>
                                    <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($client->id); ?>">
                                            <?php echo e($client->first_name . ' ' . $client->last_name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        <?php endif; ?>

                        <div class="col-md-3">
                            <select class="form-select" id="type_filter" aria-label="Default select example">
                                <option value=""><?= get_label('select_type', 'Select type') ?></option>
                                <?php $__currentLoopData = $contract_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($type->id); ?>"><?php echo e($type->type); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                        <div class="col-md-3">
                            <select class="form-select" id="status_filter" aria-label="Default select example">
                                <option value=""><?= get_label('select_status', 'Select status') ?></option>
                                <option value="signed"><?= get_label('signed', 'Signed') ?></option>
                                <option value="not_signed"><?= get_label('not_signed', 'Not signed') ?></option>
                                <option value="partially_signed">
                                    <?= get_label('partially_signed', 'Partially signed') ?>
                                </option>
                            </select>
                        </div>
                    </div>

                    <input type="hidden" name="start_date_from" id="contract_start_date_from">
                    <input type="hidden" name="start_date_to" id="contract_start_date_to">

                    <input type="hidden" name="end_date_from" id="contract_end_date_from">
                    <input type="hidden" name="end_date_to" id="contract_end_date_to">

                    <input type="hidden" id="data_type" value="contracts">
                    <input type="hidden" id="data_table" value="contracts_table">


                    <div class="table-responsive text-nowrap">
                        <table id="contracts_table" data-toggle="table" data-loading-template="loadingTemplate"
                            data-url="<?php echo e(route('contracts.list')); ?>" data-icons-prefix="bx" data-icons="icons"
                            data-show-refresh="true" data-total-field="total" data-trim-on-search="false"
                            data-data-field="rows" data-page-list="[5, 10, 20, 50, 100, 200]" data-search="true"
                            data-side-pagination="server" data-show-columns="true" data-pagination="true"
                            data-sort-name="id" data-sort-order="desc" data-mobile-responsive="true"
                            data-query-params="queryParams"
                            data-route-prefix="<?php echo e(Route::getCurrentRoute()->getPrefix()); ?>">

                            <thead>
                                <tr>
                                    <th data-checkbox="true"></th>
                                    <th data-sortable="true" data-formatter="idFormatter"><?= get_label('id', 'ID') ?>
                                    </th>
                                    <th data-sortable="true" data-field="title"><?= get_label('title', 'Title') ?>
                                    </th>
                                    <th data-sortable="false" data-field="client"><?= get_label('client', 'Client') ?>
                                    </th>
                                    <th data-sortable="false" data-field="project">
                                        <?= get_label('project', 'Project') ?>
                                    </th>
                                    <th data-sortable="false" data-field="contract_type">
                                        <?= get_label('type', 'Type') ?>
                                    </th>
                                    <th data-sortable="true" data-field="start_date">
                                        <?= get_label('starts_at', 'Starts at') ?></th>
                                    <th data-sortable="true" data-field="end_date">
                                        <?= get_label('ends_at', 'Ends at') ?>
                                    </th>
                                    <th data-sortable="false" data-field="duration" data-visible="false">
                                        <?= get_label('duration', 'Duration') ?></th>
                                    <th data-sortable="true" data-field="value"><?= get_label('value', 'Value') ?>
                                        (<?php echo e($general_settings['currency_symbol']); ?>)</th>
                                    <th data-sortable="true" data-field="promisor_sign" data-visible="false">
                                        <?= get_label('promisor_sign_status', 'Promisor sign status') ?></th>
                                    <th data-sortable="true" data-field="promisee_sign" data-visible="false">
                                        <?= get_label('promisee_sign_status', 'Promisee sign status') ?></th>
                                    <th data-sortable="true" data-field="status"><?= get_label('status', 'Status') ?>
                                    </th>
                                    <th data-sortable="true" data-field="description" data-visible="false">
                                        <?= get_label('description', 'Description') ?></th>
                                    <th data-sortable="false" data-field="created_by">
                                        <?= get_label('created_by', 'Created by') ?></th>
                                    <th data-sortable="true" data-field="created_at">
                                        <?= get_label('created_at', 'Created at') ?></th>
                                    <th data-sortable="true" data-field="updated_at" data-visible="false">
                                        <?= get_label('updated_at', 'Updated at') ?></th>
                                    <th data-formatter="actionsFormatter"><?= get_label('actions', 'Actions') ?></th>
                                </tr>
                            </thead>
                        </table>
                    <?php else: ?>
                        <?php
                        $type = 'Contracts'; ?>
                        <?php if (isset($component)) { $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.empty-state-card','data' => ['type' => $type]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('empty-state-card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['type' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($type)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $attributes = $__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__attributesOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf)): ?>
<?php $component = $__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf; ?>
<?php unset($__componentOriginal0fbbaf7987e44b855eae69b67dad7fdf); ?>
<?php endif; ?>

                <?php endif; ?>
            </div>
        </div>
    </div>
    </div>

    <script>
        var label_update = '<?= get_label('update ', 'Update ') ?>';
        var label_delete = '<?= get_label('delete ', 'Delete ') ?>';
        var label_duplicate = '<?= get_label('duplicate ', 'Duplicate ') ?>';
        var label_contract_id_prefix = '<?= get_label('contract_id_prefix ', 'CTR - ') ?>';
    </script>
    <script src="<?php echo e(asset('assets/js/pages/contracts.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infinitie/Siddharth/taskify-saas/resources/views/contracts/list.blade.php ENDPATH**/ ?>